PETSc version 3.17.4
Fix/Edit manual page

# MatSeqAIJKron

Computes C, the Kronecker product of A and B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJKron(Mat A,Mat B,MatReuse reuse,Mat *C)

### Input Parameters

| A | - left-hand side matrix
| B | - right-hand side matrix
| reuse | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

| C | - Kronecker product of A and B

### Notes

MAT_REUSE_MATRIX can only be used when the nonzero structure of the product matrix has not changed from that last call to MatSeqAIJKron().

### See Also

MatCreateSeqAIJ(), MATSEQAIJ, MATKAIJ, MatReuse

### Level

intermediate

### Location

src/mat/impls/aij/seq/aij.c

### Implementations

MatSeqAIJKron_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages